Custom Variable Config
You need the Manage Custom Variables permission to manage Custom Variable Config.
Custom Variable Configs- Custom Variable Configs ManageGET livechat/customVariableConfig- Get a single Custom Variable ConfigPOST livechat/customVariableConfig:disable- Disable the Custom Variable ConfigPOST livechat/customVariableConfig:enable- Enable the Custom Variable Config
Custom Variable Config JSON Format
Custom Variable Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isEnabled |
bool | Whether custom variable config is enabled or not. |
Get a single Custom Variable Config
GET livechat/customVariableConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/customVariableConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false
}
Disable the Custom Variable Config
POST livechat/customVariableConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/customVariableConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false
}
Enable the Custom Variable Config
POST livechat/customVariableConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/customVariableConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}